﻿namespace UdPunching
{
    public enum ExchangeMessageId : byte
    {
        // 0 is invalid

        KeepAliveReq = 10,
        KeepAliveAckSessionCreated = 11,
        KeepAliveAckNoChg = 12,

        PeerKnockReq = 60,
        PeerKnockReqErrPeerNoAvailable = 61,
        PeerKnockReqRelay = 62,
        PeerKnockReqRelayed = 63,
        PeerKnockAck = 64,
        PeerKnockAckRelay = 65,
        PeerKnockAckRelayed = 66,
        PeerKnockDenied = 67,
        PeerKnockDeniedRelay = 68,
        PeerKnockDeniedRelayed = 69,

        PeerKnockConnectionReq = 100,
        PeerKnockConnectionAck = 110,

        ErrSessionNoCreated = 200,
        ErrTimeStamp = 210,

        DataTransfer = 233,
        DataTransferAck = 234,
    }
}